> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Developer Keys

> List all developer keys for the current developer user.



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/auth/developer-keys
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/auth/developer-keys:
    get:
      tags:
        - Authentication
      summary: List Developer Keys
      description: List all developer keys for the current developer user.
      operationId: list_developer_keys_api_v1_auth_developer_keys_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DeveloperKeyResponse'
                type: array
                title: Response List Developer Keys Api V1 Auth Developer Keys Get
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DeveloperKeyResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        key_prefix:
          type: string
          title: Key Prefix
        is_active:
          type: boolean
          title: Is Active
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - key_prefix
        - is_active
        - last_used_at
        - created_at
      title: DeveloperKeyResponse
      description: Response payload for developer key (without full key)
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/login

````